﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.IO;
using System.Net;

namespace Entities
{
	[Serializable]
	public class Video
	{
		private string fileName;
		private string type;
		private string duration;
		private int width;
		private int height;

		public string FileName
		{
			get { return fileName; }
			set { fileName = value; }
		}

		public string Type
		{
			get { return type; }
			set { type = value; }
		}

		public string Duration
		{
			get { return duration; }
			set { duration = value; }
		}

		public int Width
		{
			get { return width; }
			set { width = value; }
		}

		public int Height
		{
			get { return height; }
			set { height = value; }
		}

		public Video() { }

		public Video(string fileName){
			this.fileName = fileName;
		}

		public Video(string filename, string type, string duration, int width, int height){
			this.fileName = filename;
			this.type = type;
			this.duration = duration;
			this.width = width;
			this.height = height;
		}
	}
}