﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace Presentation
{
	public partial class Footer:Panel
	{
		public Footer()
			: base()
		{
			this.BackColor = Color.FromArgb(240, 240, 240);
			this.Height = 46;
			this.Dock = DockStyle.Bottom;
		}

		protected override void OnPaintBackground(PaintEventArgs e)
		{
			base.OnPaintBackground(e);
			e.Graphics.DrawLine(new Pen(Color.FromArgb(223, 223, 223, 223)), e.ClipRectangle.Left, e.ClipRectangle.Top, e.ClipRectangle.Right, e.ClipRectangle.Top);
		}
	}
}
