﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Logic;
using Entities;

namespace Presentation
{
	public partial class InfoComments : UserControl
	{
		public InfoComments()
		{
			InitializeComponent();
		}

		public void Initialize(Movie entity)
		{
			FillData(entity);
		}

		public void FillData(Movie entity)
		{
			textBoxComments.Text = entity.Comments;
		}

		public string GetComments()
		{
			return textBoxComments.Text.Trim();
		}
	}
}
