﻿using System;
using System.Collections.Generic;
using System.Text;
using VistaControls.TaskDialog;

namespace Presentation
{
	public class TaskDialogAddMovieStep1:TaskDialog
	{
		public TaskDialogAddMovieStep1(string instruction):base(instruction)
		{
			base.Title = "Adding movies to Double Feature";
			base.Instruction = instruction;
			base.RadioButtons = new VistaControls.TaskDialog.CustomButton[2];
			base.RadioButtons[0].Id = 0;
			base.RadioButtons[0].Text = "Add the movies now";
			base.RadioButtons[1].Id = 1;
			base.RadioButtons[1].Text = "Edit info before add";
			base.CustomButtons = new VistaControls.TaskDialog.CustomButton[2];
			base.CustomButtons[0] = new VistaControls.TaskDialog.CustomButton(VistaControls.TaskDialog.Result.Cancel, "Cancel");
			base.CustomButtons[0].Id = 0;
			base.CustomButtons[1] = new VistaControls.TaskDialog.CustomButton(VistaControls.TaskDialog.Result.OK, "Next");
			base.CustomButtons[1].Id = 1;
		}
	}
}
