﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.Xml;
using System.IO;
using System.Diagnostics;
using System.Net;

namespace Entities
{
	[Serializable]
	public class Movie
	{
		private int id;
		private string poster = "http://hpneo.com/DoubleFeature/img/poster_default.jpg";
		private string title;
		private int year;
		private string director;
		private string tagLine;
		private List<Genre> genres = new List<Genre>();
		private List<Tag> tags = new List<Tag>();
		private int rating = 0;
		private Video videoInfo = new Video();
		private string comments;
		private int views;

		private List<Movie> suggestions = new List<Movie>();

		public int Id
		{
			get { return id; }
			set { id = value; }
		}

		public string Poster
		{
			get { return poster; }
			set { poster = value; }
		}

		public string Title
		{
			get { return title; }
			set { title = value; }
		}

		public int Year
		{
			get { return year; }
			set { year = value; }
		}

		public string Director
		{
			get { return director; }
			set { director = value; }
		}

		public string TagLine
		{
			get { return tagLine; }
			set { tagLine = value; }
		}

		public List<Genre> Genres
		{
			get { return genres; }
			set { genres = value; }
		}

		public List<Tag> Tags
		{
			get { return tags; }
			set { tags = value; }
		}

		public int Rating
		{
			get { return rating; }
			set { rating = value; }
		}

		public Video VideoInfo
		{
			get { return videoInfo; }
			set { videoInfo = value; }
		}

		public string Comments
		{
			get { return comments; }
			set { comments = value; }
		}

		public int Views
		{
			get { return views; }
			set { views = value; }
		}

		public List<Movie> Suggestions
		{
			get { return suggestions; }
			set { suggestions = value; }
		}

		public Movie() { }

		/*public Movie(int _id, string _name, string _director, List<string> _genres, string _tagline, int _year, int _rating, string _tags, string _poster_path, Video _videoinfo){
			id = _id;
			title = _name;
			director = _director;
			genres = _genres;
			tagLine = _tagline;
			year = _year;
			rating = _rating;
			poster = _poster_path;
			videoInfo = _videoinfo;
		}*/
	}
}